<template>
  <div class="hello">
    <h1>{{ msg }}</h1>
    <h2>Essential Links</h2>
    <ul>
      <li v-for="menuItem in menuItems" v-bind:key="menuItem.id">
        <a v-bind:href="menuItem.link">
          {{ menuItem.text }}
        </a>
      </li>
    </ul>
  </div>
</template>

<script>
export default {
  name: 'Navbar',
  data () {
    return {
      menuItems: [
        { id: 0, text: 'Calculator', link: 'calculator' },
        { id: 1, text: 'Drag & Drop', link: 'draganddrop' },
        { id: 2, text: 'Countdown', link: 'countdown' },
        { id: 3, text: 'GPS Map', link: 'gpsmap' },
        { id: 4, text: 'API Data Fetching', link: 'apidatafetching' }
      ],
      msg: 'Welcome to your application!'
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h1, h2 {
  font-weight: normal;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
